package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TFireapproval;

/**
 * 消防批文清单Service接口
 * 
 * @author ruoyi
 * @date 2020-11-27
 */
public interface ITFireapprovalService 
{
    /**
     * 查询消防批文清单
     * 
     * @param id 消防批文清单ID
     * @return 消防批文清单
     */
    public TFireapproval selectTFireapprovalById(Long id);

    /**
     * 查询消防批文清单列表
     * 
     * @param tFireapproval 消防批文清单
     * @return 消防批文清单集合
     */
    public List<TFireapproval> selectTFireapprovalList(TFireapproval tFireapproval);

    /**
     * 定时任务查询消防批文清单列表
     *
     * @param tFireapproval 消防批文清单
     * @return 消防批文清单集合
     */
    public List<TFireapproval> selectList(TFireapproval tFireapproval);

    /**
     * 新增消防批文清单
     * 
     * @param tFireapproval 消防批文清单
     * @return 结果
     */
    public int insertTFireapproval(TFireapproval tFireapproval);

    /**
     * 修改消防批文清单
     * 
     * @param tFireapproval 消防批文清单
     * @return 结果
     */
    public int updateTFireapproval(TFireapproval tFireapproval);

    /**
     * 批量删除消防批文清单
     * 
     * @param ids 需要删除的消防批文清单ID
     * @return 结果
     */
    public int deleteTFireapprovalByIds(Long[] ids);

    /**
     * 删除消防批文清单信息
     * 
     * @param id 消防批文清单ID
     * @return 结果
     */
    public int deleteTFireapprovalById(Long id);
}
